Skip to main content

Update Lease Custom Data: Rent Manager

PUThttps://api.propexo.com/v1/leases/rentmanager/:lease_id/custom-data

The custom data fields given in this payload must already exist on the lease.

Method
GET /Leases
POST /LeaseRenewals/{id}/NonCommercialUserDefinedValues

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values. Rent Manager has a limit of 10 key/value pairs

    property name* object
    valuestringrequired

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values. Rent Manager has a limit of 10 key/value pairs

    property name* object
    valuestringrequired

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/rentmanager/:lease_id/custom-data
curl -X PUT https://api.propexo.com/v1/leases/rentmanager/:lease_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"custom_data": {}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"custom_data": {}
}
}